Subject: RE: bug#38807: [Feature request]: Support lisp workers like web workers.

From: arthur miller <[email-masked]>
Date: Fri, 3 Jan 2020 13:35:49 +0000

I mean that emacsclient is sort of rendering thread while Emacs server is sort of hard working part.

I have honestly never looked at the code for server/client so I don't know how separation is done. I ment it more as a logical view of those.It would be interesting to learn more about it  though if some dev who is introduced in internals could a line or two and explain how responsibility is divided between the two.

Skickat från min Samsung Galaxy-smartphone.

-------- Originalmeddelande --------
Från: HaiJun Zhang <[email-masked]>
Datum: 2020-01-03 02:49 (GMT+01:00)
Till: Eli Zaretskii <[email-masked]>, Michael Albinus <[email-masked]>, arthur miller <[email-masked]>
Kopia: [email-masked]
Ämne: RE: bug#38807: [Feature request]: Support lisp workers like web workers.

在 2020年1月1日 +0800 PM10:52，arthur miller <[email-masked]>，写道：

> We can even keep all in emacs currently as
> the “UI thread”and run another lisp machine > for a worker.

Isn’t emasc-server/emacsclient already already that?

Yes and no. The emacsclient do too less work to be a worker. Ratio of their work is 10:1? I would it to be 1:10? Workers should do most heavy work.